<template>
  <!-- Table Container Card -->
    <b-card
      no-body
      class="mb-0"
    >

      <div class="m-2">
        <h2>Lista de proyectos asociados al cliente</h2>
        <br>
        <!-- Table Top -->
        <b-row>

           <!-- Search -->
          <b-col
            cols="12"
            md="6"
            class="d-flex align-items-center justify-content-start mb-1 mb-md-0"
          >
             <b-form-input
                v-model="searchQuery"
                class="d-inline-block mr-1"
                placeholder="Search..."
              />
          </b-col>
          <!-- Add client button -->
          <b-col
            cols="12"
            md="6"
          >
            
          </b-col>
        </b-row>

      </div>

      <b-table
        class="position-relative"
        :items="projects"
        :filter="searchQuery"
        responsive
        :fields="tableColumns"
        primary-key="id"
        show-empty
        empty-text="No se encontraron registros"
      >

        <template #cell(aciones)="data">
          <b-dropdown
            variant="link"
            no-caret
          >

            <template #button-content>
              <feather-icon
                icon="MoreVerticalIcon"
                size="16"
                class="align-middle text-body"
              />
            </template>
            <b-dropdown-item :to="{ name: 'apps-projects-view', params: { id: data.item.id } }">
              <feather-icon icon="FileTextIcon" />
              <span class="align-middle ml-50">Detalles</span>
            </b-dropdown-item>

            <b-dropdown-item :to="{ name: 'apps-projects-edit', params: { id: data.item.id } }">
              <feather-icon icon="EditIcon" />
              <span class="align-middle ml-50">Editar</span>
            </b-dropdown-item>

            <b-dropdown-item  >
              <feather-icon icon="TrashIcon" />
               <span  class="align-middle ml-50">Eliminar</span>
            </b-dropdown-item>
          </b-dropdown> 
        </template>

      </b-table>
      <div class="mx-2 mb-2">
        <b-row>

          <b-col
            cols="12"
            sm="6"
            class="d-flex align-items-center justify-content-center justify-content-sm-start"
          >
   
          </b-col>
         

        </b-row>
      </div>
    </b-card>
</template>

<script>
import { BTable, BProgress, BBadge, BButton,BRow, BCol, BCard,BFormInput,BDropdown, BDropdownItem,} from 'bootstrap-vue'

export default {
  components: {
    BTable,
    BProgress,
    BBadge,
    BButton,
    BRow, 
    BCol, 
    BFormInput,
    BCard,
    BButton,
    BDropdown, 
    BDropdownItem,
  },
  name:'client-projects-table',
  data(){
    return {
      projects:[],
      tableColumns:[
        { key: 'name', label: "Nombre", sortable: true },
        { key: 'description', label: "Descripción", sortable: true },
        { key: 'acciones' },
      ],
      searchQuery:''


    }
  },
  methods:{
    getProjects(){
      this.$http.get('client/projects',{params:{client:this.$route.params.id}}).then(res=>{
        this.projects = res.data.projects
      }).catch(err=>{
        console.log(err);
      })
    },
  },
  mounted(){
    this.getProjects()
    
  },
}
</script>
